<%inherit file="/products/base.mako" />
<%inherit file="/index.mako" />

<%def name="title()">Products</%def>

<%def name="head_tags()">
  ${parent.head_tags()}
  <style type="text/css">

    table.header td.tools table {
        margin-left: auto;
    }

    table.header td.tools table th,
    table.header td.tools table td {
        padding: 0px;
        text-align: left;
    }

    table.header td.tools table #label-quantity {
        text-align: right;
        width: 30px;
    }

    div.grid table tbody td.size,
    div.grid table tbody td.regular_price_uuid,
    div.grid table tbody td.current_price_uuid {
        padding-right: 6px;
        text-align: right;
    }
    
    div.grid table tbody td.labels {
        text-align: center;
    }
    
  </style>
  % if edbob.config.getboolean('rattail.labels', 'enabled', default=False):
      <script language="javascript" type="text/javascript">

        $(function() {
            $('div.grid a.print-label').live('click', function() {
                var quantity = $('#label-quantity').val();
                if (isNaN(quantity)) {
                    alert("You must provide a valid label quantity.");
                    $('#label-quantity').select();
                    $('#label-quantity').focus();
                } else {
                    $.ajax({
                        url: '${url('products.print_label')}',
                        data: {
                            'uuid': get_uuid(this),
                            'profile': $('#label-profile').val(),
                            'quantity': quantity,
                        },
                    });
                    if (quantity == '1') {
                        alert("1 label has been printed.");
                    } else {
                        alert(quantity + " labels have been printed.");
                    }
                }
                return false;
            });
        });

      </script>
  % endif
</%def>

<%def name="tools()">
  % if edbob.config.getboolean('rattail.labels', 'enabled', default=False):
      <table>
        <thead>
          <tr>
            <td>Label</td>
            <td>Qty.</td>
          </tr>
        </thead>
        <tbody>
          <td>
            <select name="label-profile" id="label-profile">
              % for profile in rattail.labels.iter_profiles():
                  <option value="${profile.name}">${profile.display_name}</option>
              % endfor
            </select>
          </td>
          <td>
            <input type="text" name="label-quantity" id="label-quantity" value="1" />
          </td>
        </tbody>
      </table>
  % endif
</%def>

${parent.body()}
